Subject: Re: Auditing of ephemerals

From: "Rosen, Brian" <[email-masked]>
Date: Wed, 26 Jul 2000 08:07:13 -0400

I don't agree with this answer.

First of all, I don't think it is possible to do a wildcard audit
of RTP/* unless there are some terminations that match (instantiated)

Second, there is no requirement that rtp ephemerals are named RTP/*

I think the answer is what I said, you audit packages.
If there are more than one "rtp" package, so what, if your MGC
implements a package that does some kind of rtp, then you can create
rtp ephemerals.

I'm not sure how you ever get into trouble here, because while I
can see extending rtp (or atm), I can't see replacing it, and then
having an MG implement two kinds of rtp.  If they did, there would
have to be something in SDP, or a parameter in LocalControl or
TerminationState which told the gateway which one to create.

Brian

-----Original Message-----
From: Christian Groves
To: [email-masked]
Sent: 7/26/00 2:04 AM
Subject: Re: Auditing of ephemerals

G'Day Flemming,

By auditing rtp/* and asking for a wildcard response it will give you
the packages and properties for that class of termination without the
need for instantiating each of the euphemeral terminations.

Naming schemes can be provisioned to a certain extent and then auditing
can give you the characteristics of named terminations.

Cheers, Christian

Flemming Andreasen wrote:
>
> "Rosen, Brian" wrote:
>
> >  You audit packages.  For example, if the MG implements RTP, then
> > it implements the RTP package.  Same with ATM.  You audit packages
of
> > the whole gateway, of course.
> >
>
> That doesn't sound particularly foolproof - who's to say I want to
implement
> *the* RTP package or *the* ATM package, etc. Nevertheless, it still
leaves
> me with a couple of questions:
>
> 1. How do I figure out the naming scheme used for these ephemeral
> terminations, e.g. "rtp/{1,2,3,4}" ?
> 2. If I have more than one type of ephemeral termination supported,
how do I
> figure out which one support what packages (without instantiating one
of
> course).
>
> -- Flemming
>
> >
> > Brian
> >
> > -----Original Message-----
> > From: Flemming Andreasen
> > To: [email-masked]
> > Sent: 7/25/00 6:20 PM
> > Subject: Auditing of ephemerals
> >
> > Once upon a time, we had quite a lot of discussion about how to
audit
> > ephemerals at startup time. We even had a suggestion in the Base
Root
> > Package aimed specifically at solving this, however it was removed
later
> > on and I can't remember if we ever came up with an alternative,
hence my
> > question:
> >
> > How does an MGC figure out what ephemerals an MG supports ?
> >
> > -- Flemming
> >
> > --
> > Flemming Andreasen                Phone: +1 732 452 1667
> > Cisco Systems                     Fax:   +1 240 359 5839
>
> --
> Flemming Andreasen                Phone: +1 732 452 1667
> Cisco Systems                     Fax:   +1 240 359 5839

---

From: Christian Groves <[email-masked]>
Date: Thu, 27 Jul 2000 15:41:16 +1000

G'Day Brian,

Firstly I agree that there's no requirement that ephemerals are named
RTP/* is was just an example. You'd know the naming pattern before you
did an audit.

Secondly I don't see what stops you doing a wildcard audit (particularly
an audit capability) on non instantiated ephemerals. If you use
ContextID ALL, wildcard the termination and ask for wildcard response
then you should be able to get whats wanted. The spec doesn't disallow
this. You have to be able to do an auditvalue to see the value of the
packages that relate to the ephemeral.

Cheers, Christian

---

From: Flemming Andreasen <[email-masked]>
Date: Thu, 27 Jul 2000 12:29:24 -0400

> RTP/* is was just an example. You'd know the naming pattern before you

Actually, part of the point is that you do *not* know the naming pattern, but
want to learn it. Seems there's no way to do that so we will have to
provision it.

> an audit capability) on non instantiated ephemerals.

How can you audit something that doesn't exist ?

> If you use
> this.

I think it does. The command is to be tried on all terminations matching the
wildcard, so what do you do when there are no instantiations of some
ephemeral termination type - I would expect nothing.

> You have to be able to do an auditvalue to see the value of the

On an instantiated ephemeral - yes, but on an non-existent ephemeral ?